Summary:	A Telepathy connection manager for Jabber/XMPP
Summary(pl.UTF-8):	Zarządca połączeń Telepathy dla Jabbera/XMPP
Name:		telepathy-gabble
Version:	0.18.1
Release:	1
License:	LGPL v2.1+
Group:		Libraries
Source0:	http://telepathy.freedesktop.org/releases/telepathy-gabble/%{name}-%{version}.tar.gz
# Source0-md5:	a5384758df829b80d47fbc8a672609ad
URL:		http://telepathy.freedesktop.org/wiki/
BuildRequires:	autoconf >= 2.59
BuildRequires:	automake >= 1:1.11
BuildRequires:	cyrus-sasl-devel
BuildRequires:	dbus-devel >= 1.1.0
BuildRequires:	dbus-glib-devel >= 0.82
BuildRequires:	glib2-devel >= 1:2.32
BuildRequires:	libnice-devel >= 0.0.11
BuildRequires:	libsoup-devel >= 2.4.0
BuildRequires:	libtool
BuildRequires:	libxml2-devel
BuildRequires:	libxslt-progs
BuildRequires:	openssl-devel >= 0.9.8g
BuildRequires:	pkgconfig
BuildRequires:	python >= 1:2.5
BuildRequires:	sqlite3-devel
BuildRequires:	telepathy-glib-devel >= 0.19.9
BuildRequires:	which
Requires:	ca-certificates
Requires:	dbus >= 1.1.0
Requires:	dbus-glib >= 0.82
Requires:	glib2 >= 1:2.32
Requires:	libnice >= 0.0.11
Requires:	telepathy-glib >= 0.19.9
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A connection manager to connect Telepathy to Jabber/XMPP.

%description -l pl.UTF-8
Zarządca połączeń pozwalający połączyć się Telepathy z Jabberem/XMPP.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-silent-rules \
	--disable-static \
	--with-ca-certificates=%{_sysconfdir}/certs/ca-certificates.crt \
	--with-tls=openssl
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/telepathy/gabble-0/plugins/*.la
# private libraries, API not exported
%{__rm} $RPM_BUILD_ROOT%{_libdir}/telepathy/gabble-0/lib/lib{gabble-plugins,wocky}.{so,la}
# packaged as %doc
%{__rm} -r $RPM_BUILD_ROOT%{_datadir}/doc/telepathy-gabble

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README docs/*.html
%attr(755,root,root) %{_bindir}/telepathy-gabble-xmpp-console
%attr(755,root,root) %{_libdir}/telepathy-gabble
%dir %{_libdir}/telepathy
%dir %{_libdir}/telepathy/gabble-0
%dir %{_libdir}/telepathy/gabble-0/lib
%attr(755,root,root) %{_libdir}/telepathy/gabble-0/lib/libgabble-plugins-%{version}.so
%attr(755,root,root) %{_libdir}/telepathy/gabble-0/lib/libwocky-telepathy-gabble-%{version}.so
%dir %{_libdir}/telepathy/gabble-0/plugins
%attr(755,root,root) %{_libdir}/telepathy/gabble-0/plugins/libconsole.so
%attr(755,root,root) %{_libdir}/telepathy/gabble-0/plugins/libgateways.so
%{_datadir}/dbus-1/services/org.freedesktop.Telepathy.ConnectionManager.gabble.service
%{_datadir}/telepathy/managers/gabble.manager
%{_mandir}/man8/telepathy-gabble.8*
%changelog
* Sat Sep 14 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/telepathy-gabble.git;a=log;h=master

* Sat Sep 14 2013 Jakub Bogusz <qboosh@pld-linux.org> e19edf5
- updated to 0.18.1

* Sun Sep 01 2013 Jakub Bogusz <qboosh@pld-linux.org> 9203e33
- updated to 0.18.0

* Thu Nov 15 2012 Jakub Bogusz <qboosh@pld-linux.org> 1121919
- updated to 0.16.4

* Tue Sep 11 2012 Jakub Bogusz <qboosh@pld-linux.org> 50084cf
- updated to 0.16.3

* Tue Sep 11 2012 Jakub Bogusz <qboosh@pld-linux.org> 4e132ae
- removed unneeded ldconfig call

* Tue Sep 04 2012 Jakub Bogusz <qboosh@pld-linux.org> 5974f6b
- updated to 0.16.2

* Tue Apr 03 2012 Marcin Banasiak <marcin.banasiak@gmail.com> 7d1113e
- updated to 0.16.0

* Sun Apr 01 2012 Marcin Banasiak <marcin.banasiak@gmail.com> 779e318
- updated to 0.14.1

* Fri Nov 18 2011 Łukasz Kieś <kiesiu@pld-linux.org> 580cfec
- updated to 0.14.0
- updated BRs

* Fri Sep 09 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 4bca1fa
- release 3

* Wed Aug 31 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> d675e67
- release 2

* Wed Feb 23 2011 Marcin Banasiak <marcin.banasiak@gmail.com> 39caea3
- back to stable version on HEAD (0.11.x moved to DEVEL)

* Sun Feb 20 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 8b39cc1
- release 2

* Wed Jan 19 2011 Caleb Maclennan <caleb@alerque.com> 8134a20
- Up to 0.11.5

* Fri Dec 17 2010 Caleb Maclennan <caleb@alerque.com> 41d7f80
- Up to 0.11.4
- Requires telepathy-glib => 0.13.9

* Tue Nov 23 2010 Caleb Maclennan <caleb@alerque.com> 2facade
- Up to 0.11.2

* Thu Nov 18 2010 Caleb Maclennan <caleb@alerque.com> 08d177c
- Up to 0.11.1
- Requires %{_libdir}/telepathy provided by libtelepathy
- Requires ca-certificates

* Wed Oct 13 2010 Patryk Zawadzki <patrys@room-303.com> 8e1441c
- 0.10.3

* Wed Sep 29 2010 Patryk Zawadzki <patrys@room-303.com> 703325d
- 0.10.1

* Fri Aug 27 2010 Patryk Zawadzki <patrys@room-303.com> b99f83a
- 0.9.17
- still does not work with gnutls 2.10.x

